CREATE TABLE fai_sam_one_view_process (
    ONE_VIEW_PROCESS_ID      NUMBER(18, 0) ,
    OBJECT_KEY               VARCHAR2(960)     NOT NULL,
    PROCESS_TYPE             VARCHAR2(320) ,
    PROCESS_NAME             VARCHAR2(4000),
    ID_METRIC                VARCHAR2(960) ,
    PARENT_ID_METRIC         NUMBER        ,
    PROCESS_STATUS           VARCHAR2(320) ,
    LOAD                     VARCHAR2(960) ,
    LOAD_SUCCESS             VARCHAR2(960) ,
    LOAD_ERROR               VARCHAR2(960) ,
    PROCESSING_TIME          NUMBER        ,
    THREAD_COUNT             NUMBER        ,
    DAY                      DATE          ,
    START_TIME               TIMESTAMP(6)  ,
    STOP_TIME                TIMESTAMP(6)  ,
    PRODUCT                  VARCHAR2(320) ,
    RAW_DATA_ID              NUMBER        ,
    PARAMETER                CLOB          ,
    PARAMETER_COMBINE        CLOB          ,
    ANOMALY_LOOP             VARCHAR2(320) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    POD                      VARCHAR2(96)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    ONE_VIEW_PROCESS_ID      NUMBER(18, 0) ,
    OBJECT_KEY               VARCHAR2(960)     NOT NULL,
    PROCESS_TYPE             VARCHAR2(320) ,
    PROCESS_NAME             VARCHAR2(4000),
    ID_METRIC                VARCHAR2(960) ,
    PARENT_ID_METRIC         NUMBER        ,
    PROCESS_STATUS           VARCHAR2(320) ,
    LOAD                     VARCHAR2(960) ,
    LOAD_SUCCESS             VARCHAR2(960) ,
    LOAD_ERROR               VARCHAR2(960) ,
    PROCESSING_TIME          NUMBER        ,
    THREAD_COUNT             NUMBER        ,
    DAY                      DATE          ,
    START_TIME               TIMESTAMP(6)  ,
    STOP_TIME                TIMESTAMP(6)  ,
    PRODUCT                  VARCHAR2(320) ,
    RAW_DATA_ID              NUMBER        ,
    PARAMETER                CLOB          ,
    PARAMETER_COMBINE        CLOB          ,
    ANOMALY_LOOP             VARCHAR2(320) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    ENTERPRISE_ID            NUMBER(18, 0)     NOT NULL,
    POD                      VARCHAR2(96)  ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_fai_sam_one_view_process PRIMARY KEY (ONE_VIEW_PROCESS_ID, ONE_VIEW_PROCESS_ID)
);
